Subject: bug#38144: 27.0.50; Gnus buttons not clickable using mouse

From: Amin Bandali <[email-masked]>
Date: Thu, 14 Nov 2019 12:10:35 -0500

Lars Ingebrigtsen <[email-masked]> writes:

[...]
>
> Yup; that's what caused the regression.
>
> I've now added a follow-link t to the buttons so that
> mouse-1-click-follows-link is respected in Emacs 27.

Thanks for working on this, Lars.  Unfortunately, that doesn’t seem to
have fixed it.  Clicking still doesn’t work.

FWIW, I tried doing C-h k and then clicking on an attachment link in an
article, and got this in the help window:

,----
| <down-mouse-1> at that spot runs the command mouse-drag-region (found
| in global-map), which is an interactive compiled Lisp function in
| ‘mouse.el’.
`----

I currently don’t have any old Emacsen lying around to test and see what
doing the above would cause in older versions.